> For the complete documentation index, see [llms.txt](https://docs.rpcfast.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getunclebyblockhashandindex-ethereum.md).

# eth\_getUncleByBlockHashAndIndex - Ethereum

## How to Use the eth\_getUncleByBlockHashAndIndex Method

### **Parameters**

QUANTITY|TAG - the string "latest", "earliest" or "pending", or an integer block number., as it is shown in the default block parameter.

QUANTITY - the uncle's index position.

### **What you receive**

Object - A block object with the following fields, or null when no block was found:

* number: QUANTITY - the block number. null when its pending block.
* hash: DATA, 32 Bytes - hash of the block. null when its pending block.
* parentHash: DATA, 32 Bytes - the parent block’s hash.
* nonce: DATA, 8 Bytes - hash of the generated proof-of-work. null in case its a pending block.
* sha3Uncles: DATA, 32 Bytes - SHA3 of the uncles data.
* logsBloom: DATA, 256 Bytes - the bloom filter for the logs in this block. returns null in case it's a pending block.
* transactionsRoot: DATA, 32 Bytes - the root of the transaction trie.
* stateRoot: DATA, 32 Bytes - the root of the final state trie of the block.
* receiptsRoot: DATA, 32 Bytes - the root of the receipts trie related to this block.
* miner: DATA, 20 Bytes - the address of the beneficiary that received the mining rewards.
* difficulty: QUANTITY - the block’s difficulty rate.
* totalDifficulty: QUANTITY - the total chain difficulty until this block presented as an integer. extraData: DATA - field for extra data about this block..
* size: QUANTITY -measuring the block size in bytes.
* gasLimit: QUANTITY - the maximum gas amount possible in this block.
* gasUsed: QUANTITY - the total gas used for proceeding all transactions in this block.
* timestamp: QUANTITY - the unix timestamp showing the block collation time.
* transactions: Array consisting of transaction objects, or 32 Bytes transaction hashes that will depend on the last given parameter.
* uncles: Array of uncle hashes.

### Sample

Here is a typical appliance example.

#### Call

{% tabs %}
{% tab title="Curl" %}

```bash
curl https://eth-mainnet.rpcfast.com/?api_key=<key> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getTransactionReceipt","params":["0xab059a62e22e230fe0f56d8555340a29b2e9532360368f810595453f6fdd213b"],"id"

```

{% endtab %}
{% endtabs %}

#### Outcome

```json
{
  "jsonrpc": "2.0",
  "id": 0,
  "result": {
    "difficulty": "0xbf93da424b943",
    "extraData": "0x65746865726d696e652d657539",
    "gasLimit": "0x7a121d",
    "gasUsed": "0x79ea62",
    "hash": "0x824cce7c7c2ec6874b9fa9a9a898eb5f27cbaf3991dfa81084c3af60d1db618c",
    "logsBloom": "0x0948432021200401804810002000000000381001001202440000010020000080a016262050e44850268052000400100505022305a64000054004200b0c04110000080c1055c42001054b804940a0401401008a00112d80082113400c10006580140005011a40220020000010001c0a00082300434002000050840010102082801c2000148540201004491814020480080111a0300600000003800640024200109c00202010044000880000106810a1a010000028a0100000422000140011000050a2a44b3080001060800000540c108102102600d000004730404a880100600021080100403000180000062642408b440060590400080101e046f08000000430",
    "miner": "0xea674fdde714fd979de3edf0f56aa9716b898ec8",
    "mixHash": "0x0b15fe0a9aa789c167b0f5ade7b72969d9f2193014cb4e98382254f60ffb2f4a",
    "nonce": "0xa212d6400b89b3f6",
    "number": "0x5bad54",
    "parentHash": "0x05e19fb68d9ec798073808e8b3170875cb327d4b6cde7d6f60fe194677bb26fd",
    "receiptsRoot": "0x90807b32c4aa4610c57289de57fa68ba50ed53f14dd2c25f1862aa049029dcd6",
    "sha3Uncles": "0xf763576c1ea6a8c61a206e16b1a2451bec5cba1c7545d7ff733a1e8c78715569",
    "size": "0x216",
    "stateRoot": "0xebc7a1603bfffe0a14bdb89f898e2f2824abb40f04579beb7b920c56d6e273c9",
    "timestamp": "0x5b54143f",
    "transactionsRoot": "0x7562cba41e067b364b933e7b566fb2444f6954fef3964a5a487d4cd79d97a56c",
    "uncles": []
  }
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getunclebyblockhashandindex-ethereum.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
